#This is a script to read some data using format statement various files
import matplotlib.pyplot as plt
import numpy as np

#Get files to read assuming known format
files = []
for i in range(12):
    files.append("./binary/filename{:05}".format(i))

#Loop through files
for f in files:

    #Read data from files
    data = np.fromfile(open(f,'rb'), dtype='d')
    field = data.reshape(84, 50)

    #Plot data
    plt.imshow(field.T)
    plt.colorbar()
    plt.show()
