#This is a script to read some data using format statement various files
import matplotlib.pyplot as plt
import numpy as np
import glob

#Get all files in directory to read
files = glob.glob('./binary/filename*')
files.sort()

#Loop through files
for f in files:

    #Read data from files
    data = np.fromfile(open(f,'rb'), dtype='d')
    field = data.reshape(84, 50)

    #Plot data
    plt.imshow(field.T)
    plt.colorbar()
    plt.show()
